version: '2'
services:
services:
  backend:
    container_name: backendcomposedta
    image: hftstuttgart/dta-backend:latest
    user: "${EUSER}:${EGID}"
    volumes: 
      - /var/run/docker.sock:/var/run/docker.sock
      - '/tmp/dta-tests:/tmp/dta-tests'
  mariadb-dta:
    container_name: moodledb-dta
    image: docker.io/bitnami/mariadb:11.1
    environment:
      # ALLOW_EMPTY_PASSWORD is recommended only for development.
      - ALLOW_EMPTY_PASSWORD=yes
      - MARIADB_USER=bn_moodle
      - MARIADB_DATABASE=bitnami_moodle
      - MARIADB_CHARACTER_SET=utf8mb4
      - MARIADB_COLLATE=utf8mb4_unicode_ci
    volumes:
      - 'mariadb_data_dta:/bitnami/mariadb'
  moodle-dta:
    container_name: moodle-dta
    image: docker.io/bitnami/moodle:4.3
    ports:
      - '81:8080'
      - '444:8443'
    environment:
      - MOODLE_DATABASE_HOST=mariadb-dta
      - MOODLE_DATABASE_PORT_NUMBER=3306
      - MOODLE_DATABASE_USER=bn_moodle
      - MOODLE_DATABASE_NAME=bitnami_moodle
      # ALLOW_EMPTY_PASSWORD is recommended only for development.
      - ALLOW_EMPTY_PASSWORD=yes
    volumes:
      - 'moodle_data_dta:/bitnami/moodle'
      - 'moodledata_data_dta:/bitnami/moodledata'
    depends_on:
      - mariadb-dta
  cache:
    container_name: cachedta
    image: nginx:alpine
    ports: 
      - '82:8080'
    volumes: 
      - './conf:/etc/nginx'
    depends_on:
      - backend
volumes:
  mariadb_data_dta:
    driver: local
  moodle_data_dta:
    driver: local
  moodledata_data_dta:
    driver: local
